Bug 928845 - enable firewalld to write to /proc/sys/net/ipv4/ip_forward
Summary: enable firewalld to write to /proc/sys/net/ipv4/ip_forward
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-28 15:00 UTC by Jiri Popelka
Modified: 2013-04-19 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:57:16 UTC
Type: Bug


Attachments (Terms of Use)
SETroubleshoot report (2.37 KB, text/plain)
2013-03-28 15:00 UTC, Jiri Popelka
no flags Details

Description Jiri Popelka 2013-03-28 15:00:04 UTC
Created attachment 717687 [details]
SETroubleshoot report

Hi,

firewalld-0.3.1 needs to write to
/proc/sys/net/ipv4/ip_forward and /proc/sys/net/ipv6/conf/all/forwarding

thanks


upstream commit:
http://git.fedorahosted.org/cgit/firewalld.git/commit/?id=a3a2292a39491b80969f2be7b08a548cc3f8ea83

Comment 1 Daniel Walsh 2013-03-28 17:58:56 UTC
962f67898e92dc0c4272e107e36e13d1aa4c3d6e fixes this in git.

Comment 2 Miroslav Grepl 2013-03-29 10:09:43 UTC
Fixed in selinux-policy-targeted-3.11.1-89.fc18.noarch

Comment 3 Fedora Update System 2013-04-08 11:45:01 UTC
selinux-policy-3.12.1-28.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19

Comment 4 Fedora Update System 2013-04-08 15:58:07 UTC
Package selinux-policy-3.12.1-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5045/selinux-policy-3.12.1-28.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-19 05:57:19 UTC
selinux-policy-3.12.1-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.